Bug 555063 - virt-manager: app crashes if remote libvirtd is restarted
Summary: virt-manager: app crashes if remote libvirtd is restarted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0f0c0a5d48840d0cbf52eb57198...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-13 15:08 UTC by Didier
Modified: 2010-04-09 01:43 UTC (History)
6 users (show)

Fixed In Version: virt-manager-0.8.2-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-09 01:43:59 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (34.77 KB, text/plain)
2010-01-13 15:08 UTC, Didier
no flags Details

Description Didier 2010-01-13 15:08:50 UTC
abrt 1.0.3 detected a crash.

Comment
-----
"service libvirtd restart" on remote machine, while remote machine was open in virt-manager.

Attached file: backtrace
cmdline: python /usr/share/virt-manager/virt-manager.py
component: virt-manager
executable: /usr/bin/python
kernel: 2.6.31.9-174.fc12.x86_64
package: virt-manager-0.8.2-1.fc12
rating: 4
reason: Process was terminated by signal 11 (Segmentation fault)

Comment 1 Didier 2010-01-13 15:08:53 UTC
Created attachment 383499 [details]
File: backtrace

Comment 2 Didier 2010-01-15 16:02:10 UTC
Reproducible.

(remote physical host is RHEL5u4 x64 with libvirt-0.6.3-20.1.el5_4).

Comment 3 Cole Robinson 2010-01-27 15:27:56 UTC
Thanks for the report, fixed upstream now:

http://hg.fedorahosted.org/hg/virt-manager/rev/3fc51aee7be3

I'll backport to F12 shortly.

Comment 4 Didier 2010-01-27 16:25:21 UTC
abrt facilitates crash reporting ... ;)

Comment 5 Fedora Update System 2010-03-22 01:54:24 UTC
virt-manager-0.8.2-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/virt-manager-0.8.2-3.fc12

Comment 6 Fedora Update System 2010-03-23 23:31:17 UTC
virt-manager-0.8.2-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/virt-manager-0.8.2-3.fc12

Comment 7 Didier 2010-03-24 11:44:36 UTC
(FYI : confirmed fixed in virt-manager-0.8.3-1.fc12
from http://jforbes.fedorapeople.org/virt-preview/f12/x86_64/)

Comment 8 Fedora Update System 2010-04-09 01:43:37 UTC
virt-manager-0.8.2-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.